Issue 29812

Summary: Ole object in edit mode, no new task without saving possible
Product: General Reporter: atr <andreas.treumann>
Component: uiAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m40   
Target Milestone: AOO Later   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description atr 2004-06-03 10:21:08 UTC
I generate a spreadsheet with a chart and don't save it. If this chart (or any
other ole object) in edit mode and I try to open a new text document I get the
message box that I should save this doc. Same in StarOffice 7 causes no 'save'
message box
Comment 1 andreas.schluens 2004-06-03 13:00:50 UTC
AS->CD: It's your task. Because the MenuBarManager dispatches an URL with target
""(!) instead of "_default". Interesting: the MenuBarManager decide using of a
target name by using a member "m_bIsBookmarkMenu" ...!? But all dispatches of
the "File->New" menu must use "_default" by definition or better, they have to
use the configured target of the Common.xcu file.
Comment 2 carsten.driesner 2004-06-04 06:39:17 UTC
.
Comment 3 carsten.driesner 2004-06-09 08:11:59 UTC
.
Comment 4 Mathias_Bauer 2004-09-10 14:35:17 UTC
I can't reproduce this issue in CWS MAV09, but I just might be lucky. The bug
itself is not fixed.
Comment 5 carsten.driesner 2004-11-09 08:45:48 UTC
CD: The best solution for this problem is to create a popup menu controller
which is responsible for the wizard/new popup menu. Popup menu controller are
first created on menu activation and can therefor correctly work in a merged
menu environment. Currently the new menu is created during the creation of the
file menu, the additional information stored in the VCL menu items cannot be
copied. That's why we have this kind of problem. Due to the amount of work this
should be done after beta.

CD: This should also help us to get a little performance boost as the controller
is created on the first activation and not during creation of the menu bar itself.
Comment 6 Mathias_Bauer 2004-11-30 17:14:25 UTC
The bug does not appear anymore in m63.
I'm still not sure wether the problem mentioned by Andreas still exists.
Due to the heavy workload and the absence of cd I retarget this issue